<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
	<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
	<title><?php bloginfo('name'); ?> <?php if ( is_home() ) { ?> - <?php bloginfo('description'); } ?> <?php wp_title(); ?> </title>
	<link rel="shortcut icon" href="favicon.ico" type="image/x-icon" />
	<link rel="stylesheet" href="<?php echo get_stylesheet_uri() ?>" type="text/css" media="screen" />

	<?php $options = get_option( 'fuenf_theme_options' ); ?> 
	<?php if ($options['sidebar_alignment'] == 1) { ?>
		<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/sidebar_left.css" type="text/css" media="screen" />
	<?php } ?> 
	<?php if ($options['sidebar_alignment'] == 2) { ?>
		<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/sidebar_none.css" type="text/css" media="screen" />
	<?php } ?> 
	<?php if ($options['css'] == 1) { ?>
		<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/style_light.css" type="text/css" media="screen" />
	<?php } ?>

	<link rel="alternate" type="application/rss+xml" title="RSS 2.0" href="<?php bloginfo('rss2_url'); ?>" />
	<link rel="alternate" type="text/xml" title="RSS .92" href="<?php bloginfo('rss_url'); ?>" />
	<link rel="alternate" type="application/atom+xml" title="Atom 0.3" href="<?php bloginfo('atom_url'); ?>" />
	<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />

	<style>
	<?php if ($options['bg_color']) { ?>
		html { background: #<?php echo $options['bg_color'] ?>; }
	<?php } ?>
	<?php if ($options['link_color']) { ?>
		a { color: #<?php echo $options['link_color'] ?>; }
	<?php } ?>
	<?php if ($options['hover_color']) { ?>
		a:hover { color: #<?php echo $options['hover_color'] ?>; }
	<?php } ?>
	<?php if ($options['inhalt_breite']) { ?>
		#seitenbreite, #header .inhalt, #footer .inhalt, #navigation .menu { width: <?php echo $options['inhalt_breite'] ?>; }
	<?php } ?>

	</style>

	<?php 
		if(function_exists('is_singular') && function_exists('wp_enqueue_script')) {
			if (is_singular())
				wp_enqueue_script( 'comment-reply' );
		}
	?>

	<?php wp_head(); ?>

</head>

<body <?php body_class(); ?>> 

		<div id="header">

			<div class="inhalt">

				<div class="logo">
					<a href="<?php echo home_url(); ?>"><img src="<?php echo get_template_directory_uri(); ?>/images/logo.png" alt="Logo"></a>
				</div><!--logo-->

				<div class="suche">

					<form method="get" id="searchform" action="<?php echo home_url(); ?>/">
					<input type="text" value="Wonach suchst du?" name="s" id="s"     
					onblur="if (this.value == '') 
					{this.value = 'Wonach suchst du?';}"
					onfocus="if (this.value == 'Wonach suchst du?')
					{this.value = '';}" />
					<input type="submit" name="" value="" id="sb" />
					</form>

				</div><!--suche-->

				<?php if ($options['bloginfo'] == 1) { ?>

				<h4 class="bloginfo">

					<a href="<?php echo home_url(); ?>"><?php bloginfo('name'); ?> | <?php bloginfo('description'); ?></a>

				</h4><!--bloginfo-->

				<?php } ?> 

				<div class="nav-bar">
					<a href="#navigation" title="Menü ausfahren">Navigation anzeigen &darr;</a>
				</div><!--nav-bar-->

				<div id="navigation">
	
					<?php wp_nav_menu(); ?>

					<div class="suche navigation">

						<form method="get" id="searchform" action="<?php echo home_url(); ?>/">
						<input type="text" value="Wonach suchst du?" name="s" id="s"     
						onblur="if (this.value == '') 
						{this.value = 'Wonach suchst du?';}"
						onfocus="if (this.value == 'Wonach suchst du?')
						{this.value = '';}" />
						<input type="submit" name="" value="" id="sb" />
						</form>

					</div><!--suche-->

					<a class="nav-close" href="#header" title="Menü einfahren">&uarr; Navigation schließen</a>
					<li class="top"><a href="#top" title="Zum Seitenanfang zurück">&uarr; Oben</a></li>

				</div><!--navigation-->

			</div><!--inhalt-->

		</div><!--header-->

	<div id="seitenbreite">

		<div id="inhalt">

			<div id="links">