<?php

// Color Picker JS-Script laden

wp_enqueue_script('jscolor.js', get_template_directory_uri() . '/js/jscolor.js'); 


// Theme-Optionen-Seite im Backend hinzufügen

add_action( 'admin_init', 'theme_options_init' );
add_action( 'admin_menu', 'theme_options_add_page' );


// Globale Einstellungen 

function theme_options_init(){
	register_setting( 'fuenf_options', 'fuenf_theme_options', 'theme_options_validate' );
}


// Theme-Optionen im Backend laden

function theme_options_add_page() {
	add_theme_page( 'FÜNF Theme Optionen', 'Theme Optionen', 'edit_theme_options', 'theme_options', 'theme_options_do_page' );
}


// Arrays für die Kombinationsfelder

// hier die Sidebar-Option

$select_options_sidebar = array(
	'0' => array(
		'value' =>	'0',
		'label' => 'rechts (Standard)'
	),
	'1' => array(
		'value' =>	'1',
		'label' => 'links'
	),
	'2' => array(
		'value' =>	'2',
		'label' => 'nicht anzeigen'
	)
);

// das Farbschema

$select_options_css = array(
	'0' => array(
		'value' =>	'0',
		'label' => 'dunkel (Standard)'
	),
	'1' => array(
		'value' =>	'1',
		'label' => 'hell'
	)
);

// und die Artikelanzeige

$select_options_artikel = array(
	'0' => array(
		'value' =>	'0',
		'label' => 'bis zum Weiterlesen-Link (Standard)'
	),
	'1' => array(
		'value' =>	'1',
		'label' => 'Kurzfassung'
	),
	'2' => array(
		'value' =>	'2',
		'label' => 'vollständig'
	)

);


// Theme-Optionen-Seite ausgeben

function theme_options_do_page() {
	global $select_options_sidebar, $select_options_css, $select_options_artikel;

	if ( ! isset( $_REQUEST['settings-updated'] ) )
		$_REQUEST['settings-updated'] = false;

	?>
	<div class="wrap">

		<?php screen_icon(); echo "<h2>" . get_current_theme() . ' Theme Optionen' . "</h2>"; ?>
		<img style="position: absolute; width: 150px; height: 40px; top: 10px; right: 10px; padding: 10px; background: #333; border-radius: 5px;" src="<?php echo get_template_directory_uri(); ?>/images/logo.png" alt="Logo">

		<?php if ( false !== $_REQUEST['settings-updated'] ) : ?>
		<div class="updated fade"><p><strong>Optionen gespeichert</strong></p></div>
		<?php endif; ?>

		<form method="post" action="options.php">
			<?php settings_fields( 'fuenf_options' ); ?>
			<?php $options = get_option( 'fuenf_theme_options' ); ?>

			<h3>Theme-Optionen</h3>
			<table class="form-table">

				<tr valign="top"><th scope="row">Breite des Inhaltsbereichs</th>
					<td>
						<input id="fuenf_theme_options[inhalt_breite]" class="regular-text" type="text" name="fuenf_theme_options[inhalt_breite]" value="<?php esc_attr_e( $options['inhalt_breite'] ); ?>" />
						<label class="description" for="fuenf_theme_options[inhalt_breite]">Wie breit soll der Inhaltsbereich sein? Trag hier einen festen Pixel-Wert (XXpx) oder einen Prozentwert (XX%) ein (Standard 1000 Pixel)</label>
					</td>
				</tr>

				<tr valign="top"><th scope="row">Anzeige Bloginfo</th>
					<td>
						<input id="fuenf_theme_options[bloginfo]" name="fuenf_theme_options[bloginfo]" type="checkbox" value="1" <?php checked( '1', $options['bloginfo'] ); ?> />
						<label class="description" for="fuenf_theme_options[bloginfo]">Zeigt den Namen des Blogs sowie den Slogan im Kopfbereich an</label>
					</td>
				</tr>

				<tr valign="top"><th scope="row">Anzeige Anzahl der Artikel und Kommentare</th>
					<td>
						<input id="fuenf_theme_options[anzahl]" name="fuenf_theme_options[anzahl]" type="checkbox" value="1" <?php checked( '1', $options['anzahl'] ); ?> />
						<label class="description" for="fuenf_theme_options[anzahl]">Zeigt im Fußbereich die Anzahl der Artikel und Kommentare des Blogs</label>
					</td>
				</tr>

				<tr valign="top"><th scope="row">Copyright-Text</th>
					<td>
						<input id="fuenf_theme_options[copyright]" class="regular-text" type="text" name="fuenf_theme_options[copyright]" value="<?php esc_attr_e( $options['copyright'] ); ?>" />
						<label class="description" for="fuenf_theme_options[copyright]">Trag hier deinen eigenen Copyright-Verweis ein</label>
					</td>
				</tr>

			</table>

			<h3>Artikel-Optionen</h3>
			<table class="form-table">

				<tr valign="top"><th scope="row">Anzeige Top-Artikel</th>
					<td>
						<input id="fuenf_theme_options[top_artikel]" name="fuenf_theme_options[top_artikel]" type="checkbox" value="1" <?php checked( '1', $options['top_artikel'] ); ?> />
						<label class="description" for="fuenf_theme_options[top_artikel]">Zeigt die vier meistkommentierten Artikel oberhalb des Inhaltsbereichs</label>
					</td>
				</tr>

				<tr valign="top"><th scope="row">Überschrift für Top-Artikel</th>
					<td>
						<input id="fuenf_theme_options[top_artikel_title]" class="regular-text" type="text" name="fuenf_theme_options[top_artikel_title]" value="<?php esc_attr_e( $options['top_artikel_title'] ); ?>" />
						<label class="description" for="fuenf_theme_options[top_artikel_title]">Trag hier deine eigene Überschrift für die Top-Artikel ein (Standard: Meistkommentierte Artikel)</label>
					</td>
				</tr>

				<tr valign="top"><th scope="row">Anzeige Artikelempfehlung</th>
					<td>
						<input id="fuenf_theme_options[artikelempfehlung]" name="fuenf_theme_options[artikelempfehlung]" type="checkbox" value="1" <?php checked( '1', $options['artikelempfehlung'] ); ?> />
						<label class="description" for="fuenf_theme_options[artikelempfehlung]">Zeigt bis zu vier ähnliche Beiträge unterhalb des Artikels auf Basis des ersten Schlagworts</label>
					</td>
				</tr>

				<tr valign="top"><th scope="row">Anzeige der Artikel</th>
					<td>
						<select name="fuenf_theme_options[artikelanzeige]">
							<?php
								$selected = $options['artikelanzeige'];
								$p = '';
								$r = '';

								foreach ( $select_options_artikel as $option ) {
									$label = $option['label'];
									if ( $selected == $option['value'] ) // Make default first in list
										$p = "\n\t<option style=\"padding-right: 10px;\" selected='selected' value='" . esc_attr( $option['value'] ) . "'>$label</option>";
									else
										$r .= "\n\t<option style=\"padding-right: 10px;\" value='" . esc_attr( $option['value'] ) . "'>$label</option>";
								}
								echo $p . $r;
							?>
						</select>
						<label class="description" for="fuenf_theme_options[artikelanzeige]">Wie sollen die Artikel angezeigt werden?</label>
					</td>
				</tr>

			</table>

			<h3>Sidebar</h3>
			<table class="form-table">
				<tr valign="top"><th scope="row">Anordnung der Sidebar</th>
					<td>
						<select name="fuenf_theme_options[sidebar_alignment]">
							<?php
								$selected = $options['sidebar_alignment'];
								$p = '';
								$r = '';

								foreach ( $select_options_sidebar as $option ) {
									$label = $option['label'];
									if ( $selected == $option['value'] ) // Make default first in list
										$p = "\n\t<option style=\"padding-right: 10px;\" selected='selected' value='" . esc_attr( $option['value'] ) . "'>$label</option>";
									else
										$r .= "\n\t<option style=\"padding-right: 10px;\" value='" . esc_attr( $option['value'] ) . "'>$label</option>";
								}
								echo $p . $r;
							?>
						</select>
						<label class="description" for="fuenf_theme_options[sidebar_alignment]">Sidebar rechts (Standard) oder links des Inhaltsbereichs</label>
					</td>
				</tr>
			</table>

			<h3>Theme-Design</h3>
			<table class="form-table">

				<tr valign="top"><th scope="row">Farbschema</th>
					<td>
						<select name="fuenf_theme_options[css]">
							<?php
								$selected = $options['css'];
								$p = '';
								$r = '';

								foreach ( $select_options_css as $option ) {
									$label = $option['label'];
									if ( $selected == $option['value'] ) // Make default first in list
										$p = "\n\t<option style=\"padding-right: 10px;\" selected='selected' value='" . esc_attr( $option['value'] ) . "'>$label</option>";
									else
										$r .= "\n\t<option style=\"padding-right: 10px;\" value='" . esc_attr( $option['value'] ) . "'>$label</option>";
								}
								echo $p . $r;
							?>
						</select>
						<label class="description" for="fuenf_theme_options[css]">Wähle das Farbschema des Themes</label>
					</td>
				</tr>

				<tr valign="top"><th scope="row">Farbe des Hintergrundes</th>
					<td>
						<input id="fuenf_theme_options[bg_color]" class="color {required:false,pickerClosable:true} regular-text" type="text" name="fuenf_theme_options[bg_color]" value="<?php esc_attr_e( $options['bg_color'] ); ?>" />

						<label class="description" for="fuenf_theme_options[bg_color]">Ändere hier die Farbe des Hintergrundes</label>
					</td>
				</tr>

				<tr valign="top"><th scope="row">Farbe der Hyperlinks</th>
					<td>
						<input id="fuenf_theme_options[link_color]" class="color {required:false,pickerClosable:true} regular-text" type="text" name="fuenf_theme_options[link_color]" value="<?php esc_attr_e( $options['link_color'] ); ?>" />

						<label class="description" for="fuenf_theme_options[link_color]">Ändere hier die Farbe der Hyperlinks</label>
					</td>
				</tr>

				<tr valign="top"><th scope="row">Farbe der Hyperlinks :hover</th>
					<td>
						<input id="fuenf_theme_options[hover_color]" class="color {required:false,pickerClosable:true} regular-text" type="text" name="fuenf_theme_options[hover_color]" value="<?php esc_attr_e( $options['hover_color'] ); ?>" />

						<label class="description" for="fuenf_theme_options[hover_color]">Ändere hier die Farbe der Hyperlinks bei :hover</label>
					</td>
				</tr>

			</table>

			<p class="submit">
				<input type="submit" class="button-primary" value="Änderungen übernehmen" />
			</p>
		</form>
	</div>
	<?php
}


// Eingaben prüfen

function theme_options_validate( $input ) {
	global $select_options_sidebar, $select_options_css, $select_options_artikel;

	// Our checkbox value is either 0 or 1
	if ( ! isset( $input['bloginfo'] ) )
		$input['bloginfo'] = null;
	$input['bloginfo'] = ( $input['bloginfo'] == 1 ? 1 : 0 );

	if ( ! isset( $input['top_artikel'] ) )
		$input['top_artikel'] = null;
	$input['top_artikel'] = ( $input['top_artikel'] == 1 ? 1 : 0 );

	if ( ! isset( $input['artikelempfehlung'] ) )
		$input['artikelempfehlung'] = null;
	$input['artikelempfehlung'] = ( $input['artikelempfehlung'] == 1 ? 1 : 0 );

	if ( ! isset( $input['anzahl'] ) )
		$input['anzahl'] = null;
	$input['anzahl'] = ( $input['anzahl'] == 1 ? 1 : 0 );

	// Our select option must actually be in our array of select options
	if ( ! array_key_exists( $input['sidebar_alignment'], $select_options_sidebar ) )
		$input['sidebar_alignment'] = null;

	if ( ! array_key_exists( $input['css'], $select_options_css ) )
		$input['css'] = null;

	if ( ! array_key_exists( $input['artikelanzeige'], $select_options_artikel ) )
		$input['artikelanzeige'] = null;

	return $input;
}


// adapted from http://planetozh.com/blog/2009/05/handling-plugins-options-in-wordpress-28-with-register_setting/